<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>com.cgi.brokers.kafka</groupId>
	<artifactId>kafka-avro-consumer</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<packaging>jar</packaging>

	<parent>
		<groupId>net.home.damcx</groupId>
		<artifactId>framework-parent</artifactId>
		<version>0.0.1-SNAPSHOT</version>
	</parent>

	<name>kafka-avro-consumer</name>
	<description>Consommateur de messages pour Apache Kafka avec utilisation d'Apache Avro</description>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<java.version>1.8</java.version>

		<!-- Dépendances des versions -->
		<dependance.avro.version>1.8.2</dependance.avro.version>
		<dependance.commons-codec.version>1.11</dependance.commons-codec.version>
		<dependance.guava.version>25.0-jre</dependance.guava.version>
		<dependance.jackson-databind.version>2.9.6</dependance.jackson-databind.version>
		<dependance.kafka-clients.version>2.0.0</dependance.kafka-clients.version>
		<dependance.pojobuilder.version>4.2.2</dependance.pojobuilder.version>

		<!-- Version des plugins-->
		<dependance.avro-maven-plugin.version>1.8.2</dependance.avro-maven-plugin.version>
		<dependance.maven-assembly-plugin.version>3.1.0</dependance.maven-assembly-plugin.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>com.google.guava</groupId>
			<artifactId>guava</artifactId>
			<version>${dependance.guava.version}</version>
		</dependency>

		<dependency>
			<groupId>org.apache.kafka</groupId>
			<artifactId>kafka-clients</artifactId>
			<version>${dependance.kafka-clients.version}</version>
		</dependency>

		<dependency>
			<groupId>org.apache.avro</groupId>
			<artifactId>avro</artifactId>
			<version>${dependance.avro.version}</version>
		</dependency>

		<dependency>
			<groupId>net.home.damcx.log</groupId>
			<artifactId>slf4j-to-log4j</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>

		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-databind</artifactId>
			<version>${dependance.jackson-databind.version}</version>
		</dependency>

		<dependency>
			<groupId>net.karneim</groupId>
			<artifactId>pojobuilder</artifactId>
			<version>${dependance.pojobuilder.version}</version>
			<classifier>jar-with-dependencies</classifier>
			<scope>provided</scope>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.avro</groupId>
				<artifactId>avro-maven-plugin</artifactId>
				<version>${dependance.avro-maven-plugin.version}</version>
				<executions>
					<execution>
						<phase>generate-sources</phase>
						<goals>
							<goal>schema</goal>
						</goals>
						<configuration>
							<sourceDirectory>${project.basedir}/src/main/resources/avro/</sourceDirectory>
							<outputDirectory>${project.basedir}/target/generated-sources/avro/</outputDirectory>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>${dependance.maven-assembly-plugin.version}</version>
				<configuration>
					<descriptorRefs>
						<descriptorRef>jar-with-dependencies</descriptorRef>
					</descriptorRefs>

				</configuration>
				<executions>
					<execution>
						<id>assemble-all</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
